[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#589213: Do not install Exim in minimal system

[Daniel Richard G.]
> Of course; it is attached.
> Looking at that, it doesn't appear that cron is responsible for pulling
> in exim4*; cron is installed much earlier in the process. heirloom-mailx
> is installed at the same time as exim4*, but that one only Suggests:
> exim4. It seems possible that d-i is installing exim4 explicitly.

This is the point where exim is pulled in:

Jul 15 18:27:55 in-target: The following NEW packages will be installed:
Jul 15 18:27:55 in-target:   exim4 exim4-base exim4-config exim4-daemon-light heirloom-mailx libgcrypt11
Jul 15 18:27:55 in-target:   libgnutls26 libgpg-error0 libgssapi-krb5-2 libk5crypto3 libkeyutils1
Jul 15 18:27:55 in-target:   libkrb5-3 libkrb5support0 libpcre3 popularity-contest psmisc

The exim4 package is installed when popularity-contest is installed,
while it is not removed when popularity-contest is purged.  I suspect
exim4 stay because it is the recommends of other packages (cron?).
The popularity-contest recommend look ike this:

  Recommends: cron | fcron, exim4 | mail-transport-agent

The obvious fix is to change popularity-contest to suggest instead of
recommend, to avoid pulling in a MTA when popularity-contest is
installed.  Cc to the maintainer list to see if that is an interesting

An alternative would be to change pkgsel/pre-pkgsel.d/90popcon to not
install recommended packages.  Looking at the svn source, this seem to
have be the current setting in svn since 2009-12-24 (uploaded as
version 0.27).  Not convinced it is a good idea to not install
recommended packages by default in d-i, thought, and suspect it is
better to change the recommends for popularity-contest.

Happy hacking,
Petter Reinholdtsen

Reply to: